# class Puppet::Parser::AST::Boolean

The boolean class. True or false. Converts the string it receives to a Ruby boolean.

### Public Class Methods

new(hash) click to toggle source
Calls superclass method

    # File lib/puppet/parser/ast/leaf.rb, line 25
    def initialize(hash)
      super

      unless @value == true or @value == false
        raise Puppet::DevError, "'#{@value}' is not a boolean"
      end
      @value
    end